/*
 * external_wrappers.h
 * Wrap up the calls between Kaffe and native method calls for systems
 *  which don't support shared libraries.
 *
 * Copyright (c) 1996 Systems Architecture Research Centre,
 *                 City University, London, UK.
 *
 * See the file "license.terms" for information on usage and redistribution
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 *
 * Written by Attila Molnar <gusthy@hu.bonus.com>, July 1996.
 */

#ifndef __external_wrappers_h
#define __external_wrappers_h

extern Kaffe_java_net_DatagramSocket_datagramSocketCreate_stub();
extern Kaffe_java_net_DatagramSocket_datagramSocketBind_stub();
extern Kaffe_java_net_DatagramSocket_datagramSocketSend_stub();
extern Kaffe_java_net_DatagramSocket_datagramSocketPeek_stub();
extern Kaffe_java_net_DatagramSocket_datagramSocketReceive_stub();
extern Kaffe_java_net_DatagramSocket_datagramSocketClose_stub();
extern Kaffe_java_net_InetAddress_getLocalHostName_stub();
extern Kaffe_java_net_InetAddress_makeAnyLocalAddress_stub();
extern Kaffe_java_net_InetAddress_lookupHostAddr_stub();
extern Kaffe_java_net_InetAddress_lookupAllHostAddr_stub();
extern Kaffe_java_net_InetAddress_getHostByAddr_stub();
extern Kaffe_java_net_InetAddress_getInetFamily_stub();
extern Kaffe_java_net_PlainSocketImpl_socketCreate_stub();
extern Kaffe_java_net_PlainSocketImpl_socketConnect_stub();
extern Kaffe_java_net_PlainSocketImpl_socketBind_stub();
extern Kaffe_java_net_PlainSocketImpl_socketListen_stub();
extern Kaffe_java_net_PlainSocketImpl_socketAccept_stub();
extern Kaffe_java_net_PlainSocketImpl_socketAvailable_stub();
extern Kaffe_java_net_PlainSocketImpl_socketClose_stub();
extern Kaffe_java_net_SocketInputStream_socketRead_stub();
extern Kaffe_java_net_SocketOutputStream_socketWrite_stub();
extern Kaffe_java_util_Date_toString_stub();
extern Kaffe_java_util_Date_toLocaleString_stub();
extern Kaffe_java_util_Date_toGMTString_stub();
extern Kaffe_java_util_Date_expand_stub();
extern Kaffe_java_util_Date_computeValue_stub();
extern Kaffe_java_lang_ClassLoader_init_stub();
extern Kaffe_java_lang_ClassLoader_defineClass0_stub();
extern Kaffe_java_lang_ClassLoader_resolveClass0_stub();
extern Kaffe_java_lang_ClassLoader_findSystemClass0_stub();
extern Kaffe_java_lang_Class_forName_stub();
extern Kaffe_java_lang_Class_newInstance_stub();
extern Kaffe_java_lang_Class_getName_stub();
extern Kaffe_java_lang_Class_getSuperclass_stub();
extern Kaffe_java_lang_Class_getInterfaces_stub();
extern Kaffe_java_lang_Class_getClassLoader_stub();
extern Kaffe_java_lang_Class_isInterface_stub();
extern Kaffe_java_lang_Compiler_initialize_stub();
extern Kaffe_java_lang_Compiler_compileClass_stub();
extern Kaffe_java_lang_Compiler_compileClasses_stub();
extern Kaffe_java_lang_Compiler_command_stub();
extern Kaffe_java_lang_Compiler_enable_stub();
extern Kaffe_java_lang_Compiler_disable_stub();
extern Kaffe_java_lang_Double_toString_stub();
extern Kaffe_java_lang_Double_valueOf_stub();
extern Kaffe_java_lang_Double_doubleToLongBits_stub();
extern Kaffe_java_lang_Double_longBitsToDouble_stub();
extern Kaffe_java_lang_Float_toString_stub();
extern Kaffe_java_lang_Float_valueOf_stub();
extern Kaffe_java_lang_Float_floatToIntBits_stub();
extern Kaffe_java_lang_Float_intBitsToFloat_stub();
extern Kaffe_java_lang_Math_sin_stub();
extern Kaffe_java_lang_Math_cos_stub();
extern Kaffe_java_lang_Math_tan_stub();
extern Kaffe_java_lang_Math_asin_stub();
extern Kaffe_java_lang_Math_acos_stub();
extern Kaffe_java_lang_Math_atan_stub();
extern Kaffe_java_lang_Math_exp_stub();
extern Kaffe_java_lang_Math_log_stub();
extern Kaffe_java_lang_Math_sqrt_stub();
extern Kaffe_java_lang_Math_IEEEremainder_stub();
extern Kaffe_java_lang_Math_ceil_stub();
extern Kaffe_java_lang_Math_floor_stub();
extern Kaffe_java_lang_Math_rint_stub();
extern Kaffe_java_lang_Math_atan2_stub();
extern Kaffe_java_lang_Math_pow_stub();
extern Kaffe_java_lang_Object_getClass_stub();
extern Kaffe_java_lang_Object_hashCode_stub();
extern Kaffe_java_lang_Object_clone_stub();
extern Kaffe_java_lang_Object_notify_stub();
extern Kaffe_java_lang_Object_notifyAll_stub();
extern Kaffe_java_lang_Object_wait_stub();
extern Kaffe_java_lang_ProcessReaper_waitForDeath_stub();
extern Kaffe_java_lang_Runtime_exitInternal_stub();
extern Kaffe_java_lang_Runtime_execInternal_stub();
extern Kaffe_java_lang_Runtime_freeMemory_stub();
extern Kaffe_java_lang_Runtime_totalMemory_stub();
extern Kaffe_java_lang_Runtime_gc_stub();
extern Kaffe_java_lang_Runtime_runFinalization_stub();
extern Kaffe_java_lang_Runtime_traceInstructions_stub();
extern Kaffe_java_lang_Runtime_traceMethodCalls_stub();
extern Kaffe_java_lang_Runtime_initializeLinkerInternal_stub();
extern Kaffe_java_lang_Runtime_buildLibName_stub();
extern Kaffe_java_lang_Runtime_loadFileInternal_stub();
extern Kaffe_java_lang_SecurityManager_getClassContext_stub();
extern Kaffe_java_lang_SecurityManager_currentClassLoader_stub();
extern Kaffe_java_lang_SecurityManager_classDepth_stub();
extern Kaffe_java_lang_SecurityManager_classLoaderDepth_stub();
extern Kaffe_java_lang_System_currentTimeMillis_stub();
extern Kaffe_java_lang_System_arraycopy_stub();
extern Kaffe_java_lang_System_initProperties_stub();
extern Kaffe_java_lang_Thread_currentThread_stub();
extern Kaffe_java_lang_Thread_yield_stub();
extern Kaffe_java_lang_Thread_sleep_stub();
extern Kaffe_java_lang_Thread_start_stub();
extern Kaffe_java_lang_Thread_isAlive_stub();
extern Kaffe_java_lang_Thread_countStackFrames_stub();
extern Kaffe_java_lang_Thread_setPriority0_stub();
extern Kaffe_java_lang_Thread_stop0_stub();
extern Kaffe_java_lang_Thread_suspend0_stub();
extern Kaffe_java_lang_Thread_resume0_stub();
extern Kaffe_java_lang_Throwable_printStackTrace0_stub();
extern Kaffe_java_lang_Throwable_fillInStackTrace_stub();
extern Kaffe_java_lang_UNIXProcess_exec_stub();
extern Kaffe_java_lang_UNIXProcess_fork_stub();
extern Kaffe_java_lang_UNIXProcess_waitForUNIXProcess_stub();
extern Kaffe_java_lang_UNIXProcess_destroy_stub();
extern Kaffe_java_io_FileDescriptor_valid_stub();
extern Kaffe_java_io_FileDescriptor_initSystemFD_stub();
extern Kaffe_java_io_FileInputStream_open_stub();
extern Kaffe_java_io_FileInputStream_read_stub();
extern Kaffe_java_io_FileInputStream_readBytes_stub();
extern Kaffe_java_io_FileInputStream_skip_stub();
extern Kaffe_java_io_FileInputStream_available_stub();
extern Kaffe_java_io_FileInputStream_close_stub();
extern Kaffe_java_io_FileOutputStream_open_stub();
extern Kaffe_java_io_FileOutputStream_write_stub();
extern Kaffe_java_io_FileOutputStream_writeBytes_stub();
extern Kaffe_java_io_FileOutputStream_close_stub();
extern Kaffe_java_io_File_exists0_stub();
extern Kaffe_java_io_File_canWrite0_stub();
extern Kaffe_java_io_File_canRead0_stub();
extern Kaffe_java_io_File_isFile0_stub();
extern Kaffe_java_io_File_isDirectory0_stub();
extern Kaffe_java_io_File_lastModified0_stub();
extern Kaffe_java_io_File_length0_stub();
extern Kaffe_java_io_File_mkdir0_stub();
extern Kaffe_java_io_File_renameTo0_stub();
extern Kaffe_java_io_File_delete0_stub();
extern Kaffe_java_io_File_list0_stub();
extern Kaffe_java_io_File_isAbsolute_stub();
extern Kaffe_java_io_RandomAccessFile_open_stub();
extern Kaffe_java_io_RandomAccessFile_read_stub();
extern Kaffe_java_io_RandomAccessFile_readBytes_stub();
extern Kaffe_java_io_RandomAccessFile_write_stub();
extern Kaffe_java_io_RandomAccessFile_writeBytes_stub();
extern Kaffe_java_io_RandomAccessFile_getFilePointer_stub();
extern Kaffe_java_io_RandomAccessFile_seek_stub();
extern Kaffe_java_io_RandomAccessFile_length_stub();
extern Kaffe_java_io_RandomAccessFile_close_stub();

/*
 * Name each method.
 */
char *native_name[] =
{
"Kaffe_java_net_DatagramSocket_datagramSocketCreate_stub",
"Kaffe_java_net_DatagramSocket_datagramSocketBind_stub",
"Kaffe_java_net_DatagramSocket_datagramSocketSend_stub",
"Kaffe_java_net_DatagramSocket_datagramSocketPeek_stub",
"Kaffe_java_net_DatagramSocket_datagramSocketReceive_stub",
"Kaffe_java_net_DatagramSocket_datagramSocketClose_stub",
"Kaffe_java_net_InetAddress_getLocalHostName_stub",
"Kaffe_java_net_InetAddress_makeAnyLocalAddress_stub",
"Kaffe_java_net_InetAddress_lookupHostAddr_stub",
"Kaffe_java_net_InetAddress_lookupAllHostAddr_stub",
"Kaffe_java_net_InetAddress_getHostByAddr_stub",
"Kaffe_java_net_InetAddress_getInetFamily_stub",
"Kaffe_java_net_PlainSocketImpl_socketCreate_stub",
"Kaffe_java_net_PlainSocketImpl_socketConnect_stub",
"Kaffe_java_net_PlainSocketImpl_socketBind_stub",
"Kaffe_java_net_PlainSocketImpl_socketListen_stub",
"Kaffe_java_net_PlainSocketImpl_socketAccept_stub",
"Kaffe_java_net_PlainSocketImpl_socketAvailable_stub",
"Kaffe_java_net_PlainSocketImpl_socketClose_stub",
"Kaffe_java_net_SocketInputStream_socketRead_stub",
"Kaffe_java_net_SocketOutputStream_socketWrite_stub",
"Kaffe_java_util_Date_toString_stub",
"Kaffe_java_util_Date_toLocaleString_stub",
"Kaffe_java_util_Date_toGMTString_stub",
"Kaffe_java_util_Date_expand_stub",
"Kaffe_java_util_Date_computeValue_stub",
"Kaffe_java_lang_ClassLoader_init_stub",
"Kaffe_java_lang_ClassLoader_defineClass0_stub",
"Kaffe_java_lang_ClassLoader_resolveClass0_stub",
"Kaffe_java_lang_ClassLoader_findSystemClass0_stub",
"Kaffe_java_lang_Class_forName_stub",
"Kaffe_java_lang_Class_newInstance_stub",
"Kaffe_java_lang_Class_getName_stub",
"Kaffe_java_lang_Class_getSuperclass_stub",
"Kaffe_java_lang_Class_getInterfaces_stub",
"Kaffe_java_lang_Class_getClassLoader_stub",
"Kaffe_java_lang_Class_isInterface_stub",
"Kaffe_java_lang_Compiler_initialize_stub",
"Kaffe_java_lang_Compiler_compileClass_stub",
"Kaffe_java_lang_Compiler_compileClasses_stub",
"Kaffe_java_lang_Compiler_command_stub",
"Kaffe_java_lang_Compiler_enable_stub",
"Kaffe_java_lang_Compiler_disable_stub",
"Kaffe_java_lang_Double_toString_stub",
"Kaffe_java_lang_Double_valueOf_stub",
"Kaffe_java_lang_Double_doubleToLongBits_stub",
"Kaffe_java_lang_Double_longBitsToDouble_stub",
"Kaffe_java_lang_Float_toString_stub",
"Kaffe_java_lang_Float_valueOf_stub",
"Kaffe_java_lang_Float_floatToIntBits_stub",
"Kaffe_java_lang_Float_intBitsToFloat_stub",
"Kaffe_java_lang_Math_sin_stub",
"Kaffe_java_lang_Math_cos_stub",
"Kaffe_java_lang_Math_tan_stub",
"Kaffe_java_lang_Math_asin_stub",
"Kaffe_java_lang_Math_acos_stub",
"Kaffe_java_lang_Math_atan_stub",
"Kaffe_java_lang_Math_exp_stub",
"Kaffe_java_lang_Math_log_stub",
"Kaffe_java_lang_Math_sqrt_stub",
"Kaffe_java_lang_Math_IEEEremainder_stub",
"Kaffe_java_lang_Math_ceil_stub",
"Kaffe_java_lang_Math_floor_stub",
"Kaffe_java_lang_Math_rint_stub",
"Kaffe_java_lang_Math_atan2_stub",
"Kaffe_java_lang_Math_pow_stub",
"Kaffe_java_lang_Object_getClass_stub",
"Kaffe_java_lang_Object_hashCode_stub",
"Kaffe_java_lang_Object_clone_stub",
"Kaffe_java_lang_Object_notify_stub",
"Kaffe_java_lang_Object_notifyAll_stub",
"Kaffe_java_lang_Object_wait_stub",
"Kaffe_java_lang_ProcessReaper_waitForDeath_stub",
"Kaffe_java_lang_Runtime_exitInternal_stub",
"Kaffe_java_lang_Runtime_execInternal_stub",
"Kaffe_java_lang_Runtime_freeMemory_stub",
"Kaffe_java_lang_Runtime_totalMemory_stub",
"Kaffe_java_lang_Runtime_gc_stub",
"Kaffe_java_lang_Runtime_runFinalization_stub",
"Kaffe_java_lang_Runtime_traceInstructions_stub",
"Kaffe_java_lang_Runtime_traceMethodCalls_stub",
"Kaffe_java_lang_Runtime_initializeLinkerInternal_stub",
"Kaffe_java_lang_Runtime_buildLibName_stub",
"Kaffe_java_lang_Runtime_loadFileInternal_stub",
"Kaffe_java_lang_SecurityManager_getClassContext_stub",
"Kaffe_java_lang_SecurityManager_currentClassLoader_stub",
"Kaffe_java_lang_SecurityManager_classDepth_stub",
"Kaffe_java_lang_SecurityManager_classLoaderDepth_stub",
"Kaffe_java_lang_System_currentTimeMillis_stub",
"Kaffe_java_lang_System_arraycopy_stub",
"Kaffe_java_lang_System_initProperties_stub",
"Kaffe_java_lang_Thread_currentThread_stub",
"Kaffe_java_lang_Thread_yield_stub",
"Kaffe_java_lang_Thread_sleep_stub",
"Kaffe_java_lang_Thread_start_stub",
"Kaffe_java_lang_Thread_isAlive_stub",
"Kaffe_java_lang_Thread_countStackFrames_stub",
"Kaffe_java_lang_Thread_setPriority0_stub",
"Kaffe_java_lang_Thread_stop0_stub",
"Kaffe_java_lang_Thread_suspend0_stub",
"Kaffe_java_lang_Thread_resume0_stub",
"Kaffe_java_lang_Throwable_printStackTrace0_stub",
"Kaffe_java_lang_Throwable_fillInStackTrace_stub",
"Kaffe_java_lang_UNIXProcess_exec_stub",
"Kaffe_java_lang_UNIXProcess_fork_stub",
"Kaffe_java_lang_UNIXProcess_waitForUNIXProcess_stub",
"Kaffe_java_lang_UNIXProcess_destroy_stub",
"Kaffe_java_io_FileDescriptor_valid_stub",
"Kaffe_java_io_FileDescriptor_initSystemFD_stub",
"Kaffe_java_io_FileInputStream_open_stub",
"Kaffe_java_io_FileInputStream_read_stub",
"Kaffe_java_io_FileInputStream_readBytes_stub",
"Kaffe_java_io_FileInputStream_skip_stub",
"Kaffe_java_io_FileInputStream_available_stub",
"Kaffe_java_io_FileInputStream_close_stub",
"Kaffe_java_io_FileOutputStream_open_stub",
"Kaffe_java_io_FileOutputStream_write_stub",
"Kaffe_java_io_FileOutputStream_writeBytes_stub",
"Kaffe_java_io_FileOutputStream_close_stub",
"Kaffe_java_io_File_exists0_stub",
"Kaffe_java_io_File_canWrite0_stub",
"Kaffe_java_io_File_canRead0_stub",
"Kaffe_java_io_File_isFile0_stub",
"Kaffe_java_io_File_isDirectory0_stub",
"Kaffe_java_io_File_lastModified0_stub",
"Kaffe_java_io_File_length0_stub",
"Kaffe_java_io_File_mkdir0_stub",
"Kaffe_java_io_File_renameTo0_stub",
"Kaffe_java_io_File_delete0_stub",
"Kaffe_java_io_File_list0_stub",
"Kaffe_java_io_File_isAbsolute_stub",
"Kaffe_java_io_RandomAccessFile_open_stub",
"Kaffe_java_io_RandomAccessFile_read_stub",
"Kaffe_java_io_RandomAccessFile_readBytes_stub",
"Kaffe_java_io_RandomAccessFile_write_stub",
"Kaffe_java_io_RandomAccessFile_writeBytes_stub",
"Kaffe_java_io_RandomAccessFile_getFilePointer_stub",
"Kaffe_java_io_RandomAccessFile_seek_stub",
"Kaffe_java_io_RandomAccessFile_length_stub",
"Kaffe_java_io_RandomAccessFile_close_stub",
NULL
};

/*
 * Define the corresponding functions.
 */
void *native_func[] =
{
Kaffe_java_net_DatagramSocket_datagramSocketCreate_stub,
Kaffe_java_net_DatagramSocket_datagramSocketBind_stub,
Kaffe_java_net_DatagramSocket_datagramSocketSend_stub,
Kaffe_java_net_DatagramSocket_datagramSocketPeek_stub,
Kaffe_java_net_DatagramSocket_datagramSocketReceive_stub,
Kaffe_java_net_DatagramSocket_datagramSocketClose_stub,
Kaffe_java_net_InetAddress_getLocalHostName_stub,
Kaffe_java_net_InetAddress_makeAnyLocalAddress_stub,
Kaffe_java_net_InetAddress_lookupHostAddr_stub,
Kaffe_java_net_InetAddress_lookupAllHostAddr_stub,
Kaffe_java_net_InetAddress_getHostByAddr_stub,
Kaffe_java_net_InetAddress_getInetFamily_stub,
Kaffe_java_net_PlainSocketImpl_socketCreate_stub,
Kaffe_java_net_PlainSocketImpl_socketConnect_stub,
Kaffe_java_net_PlainSocketImpl_socketBind_stub,
Kaffe_java_net_PlainSocketImpl_socketListen_stub,
Kaffe_java_net_PlainSocketImpl_socketAccept_stub,
Kaffe_java_net_PlainSocketImpl_socketAvailable_stub,
Kaffe_java_net_PlainSocketImpl_socketClose_stub,
Kaffe_java_net_SocketInputStream_socketRead_stub,
Kaffe_java_net_SocketOutputStream_socketWrite_stub,
Kaffe_java_util_Date_toString_stub,
Kaffe_java_util_Date_toLocaleString_stub,
Kaffe_java_util_Date_toGMTString_stub,
Kaffe_java_util_Date_expand_stub,
Kaffe_java_util_Date_computeValue_stub,
Kaffe_java_lang_ClassLoader_init_stub,
Kaffe_java_lang_ClassLoader_defineClass0_stub,
Kaffe_java_lang_ClassLoader_resolveClass0_stub,
Kaffe_java_lang_ClassLoader_findSystemClass0_stub,
Kaffe_java_lang_Class_forName_stub,
Kaffe_java_lang_Class_newInstance_stub,
Kaffe_java_lang_Class_getName_stub,
Kaffe_java_lang_Class_getSuperclass_stub,
Kaffe_java_lang_Class_getInterfaces_stub,
Kaffe_java_lang_Class_getClassLoader_stub,
Kaffe_java_lang_Class_isInterface_stub,
Kaffe_java_lang_Compiler_initialize_stub,
Kaffe_java_lang_Compiler_compileClass_stub,
Kaffe_java_lang_Compiler_compileClasses_stub,
Kaffe_java_lang_Compiler_command_stub,
Kaffe_java_lang_Compiler_enable_stub,
Kaffe_java_lang_Compiler_disable_stub,
Kaffe_java_lang_Double_toString_stub,
Kaffe_java_lang_Double_valueOf_stub,
Kaffe_java_lang_Double_doubleToLongBits_stub,
Kaffe_java_lang_Double_longBitsToDouble_stub,
Kaffe_java_lang_Float_toString_stub,
Kaffe_java_lang_Float_valueOf_stub,
Kaffe_java_lang_Float_floatToIntBits_stub,
Kaffe_java_lang_Float_intBitsToFloat_stub,
Kaffe_java_lang_Math_sin_stub,
Kaffe_java_lang_Math_cos_stub,
Kaffe_java_lang_Math_tan_stub,
Kaffe_java_lang_Math_asin_stub,
Kaffe_java_lang_Math_acos_stub,
Kaffe_java_lang_Math_atan_stub,
Kaffe_java_lang_Math_exp_stub,
Kaffe_java_lang_Math_log_stub,
Kaffe_java_lang_Math_sqrt_stub,
Kaffe_java_lang_Math_IEEEremainder_stub,
Kaffe_java_lang_Math_ceil_stub,
Kaffe_java_lang_Math_floor_stub,
Kaffe_java_lang_Math_rint_stub,
Kaffe_java_lang_Math_atan2_stub,
Kaffe_java_lang_Math_pow_stub,
Kaffe_java_lang_Object_getClass_stub,
Kaffe_java_lang_Object_hashCode_stub,
Kaffe_java_lang_Object_clone_stub,
Kaffe_java_lang_Object_notify_stub,
Kaffe_java_lang_Object_notifyAll_stub,
Kaffe_java_lang_Object_wait_stub,
Kaffe_java_lang_ProcessReaper_waitForDeath_stub,
Kaffe_java_lang_Runtime_exitInternal_stub,
Kaffe_java_lang_Runtime_execInternal_stub,
Kaffe_java_lang_Runtime_freeMemory_stub,
Kaffe_java_lang_Runtime_totalMemory_stub,
Kaffe_java_lang_Runtime_gc_stub,
Kaffe_java_lang_Runtime_runFinalization_stub,
Kaffe_java_lang_Runtime_traceInstructions_stub,
Kaffe_java_lang_Runtime_traceMethodCalls_stub,
Kaffe_java_lang_Runtime_initializeLinkerInternal_stub,
Kaffe_java_lang_Runtime_buildLibName_stub,
Kaffe_java_lang_Runtime_loadFileInternal_stub,
Kaffe_java_lang_SecurityManager_getClassContext_stub,
Kaffe_java_lang_SecurityManager_currentClassLoader_stub,
Kaffe_java_lang_SecurityManager_classDepth_stub,
Kaffe_java_lang_SecurityManager_classLoaderDepth_stub,
Kaffe_java_lang_System_currentTimeMillis_stub,
Kaffe_java_lang_System_arraycopy_stub,
Kaffe_java_lang_System_initProperties_stub,
Kaffe_java_lang_Thread_currentThread_stub,
Kaffe_java_lang_Thread_yield_stub,
Kaffe_java_lang_Thread_sleep_stub,
Kaffe_java_lang_Thread_start_stub,
Kaffe_java_lang_Thread_isAlive_stub,
Kaffe_java_lang_Thread_countStackFrames_stub,
Kaffe_java_lang_Thread_setPriority0_stub,
Kaffe_java_lang_Thread_stop0_stub,
Kaffe_java_lang_Thread_suspend0_stub,
Kaffe_java_lang_Thread_resume0_stub,
Kaffe_java_lang_Throwable_printStackTrace0_stub,
Kaffe_java_lang_Throwable_fillInStackTrace_stub,
Kaffe_java_lang_UNIXProcess_exec_stub,
Kaffe_java_lang_UNIXProcess_fork_stub,
Kaffe_java_lang_UNIXProcess_waitForUNIXProcess_stub,
Kaffe_java_lang_UNIXProcess_destroy_stub,
Kaffe_java_io_FileDescriptor_valid_stub,
Kaffe_java_io_FileDescriptor_initSystemFD_stub,
Kaffe_java_io_FileInputStream_open_stub,
Kaffe_java_io_FileInputStream_read_stub,
Kaffe_java_io_FileInputStream_readBytes_stub,
Kaffe_java_io_FileInputStream_skip_stub,
Kaffe_java_io_FileInputStream_available_stub,
Kaffe_java_io_FileInputStream_close_stub,
Kaffe_java_io_FileOutputStream_open_stub,
Kaffe_java_io_FileOutputStream_write_stub,
Kaffe_java_io_FileOutputStream_writeBytes_stub,
Kaffe_java_io_FileOutputStream_close_stub,
Kaffe_java_io_File_exists0_stub,
Kaffe_java_io_File_canWrite0_stub,
Kaffe_java_io_File_canRead0_stub,
Kaffe_java_io_File_isFile0_stub,
Kaffe_java_io_File_isDirectory0_stub,
Kaffe_java_io_File_lastModified0_stub,
Kaffe_java_io_File_length0_stub,
Kaffe_java_io_File_mkdir0_stub,
Kaffe_java_io_File_renameTo0_stub,
Kaffe_java_io_File_delete0_stub,
Kaffe_java_io_File_list0_stub,
Kaffe_java_io_File_isAbsolute_stub,
Kaffe_java_io_RandomAccessFile_open_stub,
Kaffe_java_io_RandomAccessFile_read_stub,
Kaffe_java_io_RandomAccessFile_readBytes_stub,
Kaffe_java_io_RandomAccessFile_write_stub,
Kaffe_java_io_RandomAccessFile_writeBytes_stub,
Kaffe_java_io_RandomAccessFile_getFilePointer_stub,
Kaffe_java_io_RandomAccessFile_seek_stub,
Kaffe_java_io_RandomAccessFile_length_stub,
Kaffe_java_io_RandomAccessFile_close_stub,
NULL
};
